ОчиститьИндексыФишекМаджонгаОтУбранных = мир =>
{
    for (var номер in мир.убранныеФишкиМаджонга)
    {
        var н = мир.убранныеФишкиМаджонга[номер];
        var позиция = мир.фишкиМаджонга[н]["📍"];
        var индекс = индексПозицииФишкиМаджонга(позиция);
        delete мир.индексыФишекМаджонга[индекс];
    }
};


// // // //


УбратьВыбраннуюПаруФишекМаджонгаСЗадержкой = мир =>
{
    setTimeout(
        function() {
            мир.убранныеФишкиМаджонга = мир.выбранныеФишкиМаджонга.slice();
            мир.выбранныеФишкиМаджонга = [];
            мир.уведомить("изменили выбранные фишки маджонга");
            мир.уведомить("убрали фишки маджонга");
        },
        мир.задержкаУбиранияФишекМаджонга
    );
};


// // // //


ИсключитьИзВыбранныхФишекМаджонгаПервую = мир =>
{
    мир.выбранныеФишкиМаджонга.shift();
    мир.уведомить("изменили выбранные фишки маджонга");
};


// // // //


СравнитьПаруВыбранныхФишекМаджонга = мир =>
{
    // Удостоверяемся в наличии двух фишек.
    if (мир.выбранныеФишкиМаджонга.length != 2)
    {
        return;
    }
    var н1 = мир.выбранныеФишкиМаджонга[0];
    var н2 = мир.выбранныеФишкиМаджонга[1];
    var г1 = мир.фишкиМаджонга[н1]["🚩"];
    var г2 = мир.фишкиМаджонга[н2]["🚩"];
    if (г1 == г2)
    {
        мир.уведомить("выбрали пару фишек маджонга одной группы");
    }
    else
    {
        мир.уведомить("выбрали пару фишек маджонга разных групп");
    }
};